# GNUmed database system German language pack bootstrapping config file
#----------------------------------------------------------------------
# license: GPL v2 or later
# author: Karsten.Hilbert@gmx.net

#----------------------------------
[revision control]
file = $Source: /home/ncq/Projekte/cvs2git/vcs-mirror/gnumed/gnumed/server/bootstrap/bootstrap-test_data.conf,v $
version = $Revision: 1.25 $

#----------------------------------
[installation]

interactive = no

keep temp files = no

description = $description$
This script installs test data into an existing GNUmed database
named "gnumed". Also, the database owner "gm-dbo" must exist
already.
$description$

bundles = $bundles$
test data
$bundles$

#----------------------------------
# bundles
#----------------------------------
[bundle test data]
database alias = core
minimum postgresql version = 7.4
schema base directory = ../sql/test-data/
schema = $schema$
gmDemographics-Person-test_data.sql
test_data-Leonard_McCoy.sql
test_data-Spock.sql
test_data-USS_Enterprise.sql
test_data-Christine_Chapel.sql
test_data-Julian_Bashir.sql
test_data-James_Kirk.sql
test_data-lab_regression.sql
$schema$

[bundle test tables]
database alias = core
minimum postgresql version = 7.4
schema base directory = ../sql/
schema = $schema$
gmPhraseWheelTest.sql
$schema$

#----------------------------------
# databases
#----------------------------------
[database core]
name = gnumed_v2
override name by = GM_CORE_DB
template database = template1
drop target database = 0
use existing target database = 1
server alias = local host
audit disable = 1
notification disable = 1
schema = $schema$
$schema$

#----------------------------------
# servers
#----------------------------------
[server local host]
name = 
port = 5432
template database = template1
super user alias = postgres
schema = $schema$
$schema$

#----------------------------------
# users
#----------------------------------
[user GNUmed owner]
name = gm-dbo
password = 

[user postgres]
name = postgres

#----------------------------------
# these really shouldn't be changed
#----------------------------------
[GnuMed defaults]

database owner alias = GNUmed owner

groups = $groups$
$groups$

#----------------------------------
# $Log: bootstrap-test_data.conf,v $
# Revision 1.25  2008-08-28 12:07:27  ncq
# - bump database name to gnumed_v2
# - add options necessary for one-step bootstrapping
#
# Revision 1.24  2007/11/09 14:41:14  ncq
# - make non-interactive
#
# Revision 1.23  2006/12/29 16:28:25  ncq
# - "service" -> "bundle", no more services
# - remove "name" and "version" on previous "service" groups
#
# Revision 1.22  2006/12/29 13:56:50  ncq
# - bump required PG version to 7.4
# - remove procedural languages options
# - include gmCreateProceduralLanguages.sql in database level superuser schema import
#
# Revision 1.21  2006/09/17 07:02:00  ncq
# - we don't register services anymore
#
# Revision 1.20  2006/05/24 12:51:13  ncq
# - standarize on only '' being local domain sockets connections
#
# Revision 1.19  2006/05/08 12:38:47  ncq
# - make password parameter sane:
#   - missing or commented out means: not needed, eg IDENT or TRUST
#   - empty means: ask user if interactive or leave empty (but log warning) if not interactive
#
# Revision 1.18  2006/05/07 16:22:45  shilbert
# - settle for #password as default
#
# Revision 1.17  2006/05/07 16:14:33  shilbert
# - cleanup
#
# Revision 1.16  2006/05/06 18:49:44  ncq
# - GnuMed -> GNUmed
#
# Revision 1.15  2005/11/18 15:28:34  ncq
# - required PostgreSQL version now raised from 7.1 to 7.3
# - Debian stable has 7.4.x so we are good to go for 7.3 *at least*
#
# Revision 1.14  2005/11/09 10:42:47  ncq
# - be more careful with others around us: install procedural language into
#   our database only if needed, not into template1
#
# Revision 1.13  2005/09/19 16:30:12  ncq
# - template database
#
# Revision 1.12  2005/07/14 21:25:38  ncq
# - cleanup
#
# Revision 1.11  2005/06/06 09:06:46  ncq
# - re-add Kirk
#
# Revision 1.10  2005/06/01 23:17:43  ncq
# - support overriding target database name via environment variable
#
# Revision 1.9  2005/01/12 14:47:48  ncq
# - in DB speak the database owner is customarily called dbo, hence use that
#
# Revision 1.8  2004/11/24 15:36:31  ncq
# - add option "keep temp files"
#
# Revision 1.7  2004/05/13 00:11:30  ncq
# - import lab handling regression testing data
#
# Revision 1.6  2004/03/18 11:12:24  ncq
# - added lab data
#
# Revision 1.5  2004/03/14 22:32:04  ncq
# - postgres version -> minimum postgresql version
#
# Revision 1.4  2004/03/02 10:22:30  ihaywood
# support for martial status and occupations
# .conf files now use host autoprobing
#
# Revision 1.3  2004/01/10 01:31:14  ncq
# - add nurse/doc to schema def
#
# Revision 1.2  2004/01/05 00:57:38  ncq
# - use empty name not 127.0.0.1 to go local
#
# Revision 1.1  2003/12/29 15:07:03  uid66147
# - add test data to databases
#
